#!/bin/sh

# Datei: tarFind.sh
#
#***********************************************************************************************
# Sucht nach Datei-/Verzeichnisnamen in Tar-Backups
#
# Aufruf: ./tarFind.sh AUSDRUCK
#
#***********************************************************************************************

# das Skript liefert maximal iMax Ergebnisse
iMax=10

#set -x
if [ "${1}" == "" ]; then exit 1; fi

# Verzeichnis in dem sich die Backuo-Dateien befinden
TAR_DIR="$HOME/LUG/tar"
i=0

# Schleife ber die Tar-Dateien, beginnend mit den jngsten Dateien
for iFile in `ls -t *.tgz`; do
	tar ztf "$iFile" "$1" > /dev/null 2>/dev/null
	if [ "$?" == "0" ]; then
		echo $iFile
		i=$((i + 1))
		if [ $i -ge $iMax ]; then exit 0; fi
	fi
done
