#/bin/sh

# Datei: dd3.sh
#
#***********************************************************************************************
# dd Beispiel 3
#
# Byteweise Kopie einer CD auf Festplatte in eine Datei
# Anschlieend wird die Datei gemountet
#
# Das Beispiel funktioniert nur, wenn man mit "sudo" ein Dateisystem Mounten darf
#***********************************************************************************************

# Gertenake des CD-Laufwerks
CD_NAME=/dev/hdc
# Name der Zieldatei
IMAGE_NAME=cd_img.iso
# Name des Mount-Verzeichnisses (mount point)
MOUNT_DIR=/mnt

echo ""
echo "Kopiere $CD_NAME, das kann einige Zeit dauern ..."
dd if=$CD_NAME of=$IMAGE_NAME


echo ""
echo "Mounte $IMAGE_NAME nach $MOUNT_DIR"
sudo -u root /bin/mount $IMAGE_NAME $MOUNT_DIR  -o loop

echo ""
echo "Fertig, jetzt kann man auf $MOUNT_DIR arbeiten"
echo "Anschlieend ent-mounten mit 'sudo umount $CD_NAME'"
